静看光阴荏苒
不管不顾不问不说也不念

openSUSE配置Qv2ray支持Xray

今天把快2个月没更新的openSUSE风滚草拿出来dup了一下,过程很顺利,但是重启后就进不去桌面环境了。。。

一开始我以为是更新后的内核和KDE桌面环境不兼容,但是后来觉得这种可能性很小,毕竟SUSE还是很稳的,一般不会出这种问题。。

然后很快啊,我啪的一下就想到是不是我的NVIDIA闭源显卡驱动没更新,旧版本的驱动和内核或者KDE不兼容导致的。后续果然发现就是这个问题,驱动更新后就正常了。。

有人可能觉得很奇怪,dup不是全部软件包都会更新的嘛,那显卡驱动应该也会自动更新才对。实际上确实应该是这样,但是NVIDIA的这个驱动软件源在国内实在是太卡了,每次用zypper的时候要自动刷新这个软件源都会特别慢,很浪费时间,所以我就把这个源的自动刷新给关了。

结果今天dup的时候自动刷新已经被我关了,而我又没有手动刷新这个源,就导致dup的时候驱动没更新。。然后就炸了。。还好SUSE有保留旧的内核,通过旧内核启动系统后把驱动更新就解决了。。

那这和Qv2ray以及Xray有啥关系?

刚才不说了嘛,NVIDIA的驱动源实在太慢了,直接用国内网络去下载根本就下不动,所以以前我都是用梯子。而不太凑巧的是我最近把梯子机的配置都换成了VLESS+XTLS组合,而我这个近乎2个月没开机的SUSE里面装的Qv2ray还不支持XTLS,所以在更新驱动前,我还要先把Qv2ray更新了。更新完Qv2ray后还要手动去下一个Xray的内核。。

所以就只是单纯的想把这台SUSE给更新一下,结果整出了一堆么蛾子问题。。。整了估计有5个小时才算弄好,当然大部分时间都浪费在了龟速下载上。。。

关于openSUSE安装Qv2ray这个就不多说了,去Qv2ray的官网找源添加即可。或者翻下我这篇文章,里面有记录:

安装openSUSE后要做的一些事

只是现在Qv2ray稳定版还不支持VLESS+XTLS,我们得安装预览版:

sudo zypper in Qv2ray-preview

现在还需要下载Xray核心:

su - root
mkdir /usr/share/xray
wget https://github.com/XTLS/Xray-core/releases/download/v1.2.3/Xray-linux-64.zip
unzip Xray-linux-64.zip -d /usr/share/xray
mv /usr/share/xray/xray /usr/bin
chmod +x /usr/bin/xray

之后打开Qv2ray的首选项,在内核设置这里把路径改下:

最后添加节点就OK了:

后记:

系统总算是更新完了,但是我觉得我更了个寂寞,原来有的BUG还是有,原来没有的BUG可能现在还多了几个。。

赞(1)
未经允许不得转载:荒岛 » openSUSE配置Qv2ray支持Xray
分享到: 更多 (0)

评论 7

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #1

    大佬,可以出一个openlitespeed安装Qv2ray的教程吗? :cry:

    Foliage9个月前 (01-31) Chrome 87.0.4280.77 Chrome 87.0.4280.77 iPhone iOS 14.3 iPhone iOS 14.3回复
    • Qv2ray和openlitespeed有什么关系?Qv2ray是软件欸,难道可以用网页服务器安装?

      hofaeair9个月前 (02-01) Google Chrome 88.0.4324.104 Google Chrome 88.0.4324.104 Windows 10 x64 Edition Windows 10 x64 Edition回复
      • vless

        Foliage9个月前 (02-01) Chrome 87.0.4280.77 Chrome 87.0.4280.77 iPhone iOS 14.3 iPhone iOS 14.3回复
      • 一开始我也没看明白,但是后面我想他应该是说想看看openlitespeed能不能支持sni分流。。。

        LALA9个月前 (02-02) Google Chrome 88.0.4324.96 Google Chrome 88.0.4324.96 GNU/Linux x64 GNU/Linux x64回复
        • 希望大佬能出個教程 :oops:

          Foliage9个月前 (02-03) Google Chrome 88.0.4324.93 Google Chrome 88.0.4324.93 Android 8.1.0 Android 8.1.0回复
          • 这个恐怕出不了,我搜了一下没找到openlitespeed支持4层代理的说明,如果openlitespeed不支持的话就没办法配置。

            LALA9个月前 (02-04) Google Chrome 86.0.4240.198 Google Chrome 86.0.4240.198 Windows 10 x64 Edition Windows 10 x64 Edition
  2. #2

    曾经我也以为bug离我很远,直到某天ssh-copy-id给了我一个惊喜…

    小白9个月前 (02-01) Google Chrome 88.0.4324.96 Google Chrome 88.0.4324.96 GNU/Linux x64 GNU/Linux x64回复

分享创造快乐

广告合作资源投稿